- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSlots/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSlots/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSlots/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSlots/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSlots/get#body.ReservationSlotsGetResponse.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSlots/get#body.ReservationSlotsGetResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSlots/get#body.ReservationSlotsGetResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_1)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSlots/get#body.ReservationSlotsGetResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_2)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSlots/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSlots/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSlots/get#try-it)

Retrieves information about the specified reservation slot.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/zones/{zone}/{parentName=reservations/*/reservationBlocks/*/reservationSubBlocks/*}/reservationSlots/{reservationSlot}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` The project ID for this request. |
| `zone` | `string` The name of the zone for this request, formatted as RFC1035. |
| `parentName` | `string` The name of the parent reservation and parent block, formatted as reservations/{reservationName}/reservationBlocks/{reservation_block_name}/reservationSubBlocks/{reservation_sub_block_name} |
| `reservationSlot` | `string` The name of the reservation slot, formatted as RFC1035 or a resource ID number. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "resource": { "kind": string, "id": string, "creationTimestamp": string, "name": string, "zone": string, "selfLink": string, "selfLinkWithId": string, "physicalTopology": { "cluster": string, "block": string, "subBlock": string, "host": string }, "state": enum, "status": { "physicalTopology": { "cluster": string, "block": string, "subBlock": string, "host": string }, "rdmaIpAddresses": [ string ], "runningInstances": [ string ] }, "shareSettings": { "shareType": enum, "projectMap": { string: { "projectId": string }, ... } } } } ``` |

| Fields ||
|---|---|
| `resource` | `object` |
| `resource.kind` | `string` Output only. The type of resource. Always `compute#reservationSlot` for reservation slots. |
| `resource.id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for this resource. This identifier is defined by the server. |
| `resource.creationTimestamp` | `string` Output only. The creation timestamp, formatted as [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text. |
| `resource.name` | `string` Output only. The name of the reservation slot. |
| `resource.zone` | `string` Output only. The zone in which the reservation slot resides. |
| `resource.selfLink` | `string` Output only. A server-defined fully-qualified URL for this resource. |
| `resource.selfLinkWithId` | `string` Output only. A server-defined URL for this resource with the resource ID. |
| `resource.physicalTopology (deprecated)` | `object` Output only. The physical topology of the reservation slot. |
| `resource.physicalTopology (deprecated).cluster` | `string` The cluster name of the reservation sub-block. |
| `resource.physicalTopology (deprecated).block` | `string` The unique identifier of the capacity block within the cluster. |
| `resource.physicalTopology (deprecated).subBlock` | `string` The unique identifier of the capacity sub-block within the capacity block. |
| `resource.physicalTopology (deprecated).host` | `string` The unique identifier of the capacity host within the capacity sub-block. |
| `resource.state` | `enum` Output only. The state of the reservation slot. |
| `resource.status` | `object` Output only. The status of the reservation slot. |
| `resource.status.physicalTopology` | `object` Output only. The physical topology of the reservation sub-block. |
| `resource.status.physicalTopology.cluster` | `string` The cluster name of the reservation sub-block. |
| `resource.status.physicalTopology.block` | `string` The unique identifier of the capacity block within the cluster. |
| `resource.status.physicalTopology.subBlock` | `string` The unique identifier of the capacity sub-block within the capacity block. |
| `resource.status.physicalTopology.host` | `string` The unique identifier of the capacity host within the capacity sub-block. |
| `resource.status.rdmaIpAddresses[]` | `string` Output only. The RDMA IP address of the physical host. |
| `resource.status.runningInstances[]` | `string` Output only. The URIs of the instances currently running on this slot. |
| `resource.shareSettings` | `object` Specify share settings to create a shared slot. Set to empty to inherit the share settings from a parent resource. |
| `resource.shareSettings.shareType` | `enum` Type of sharing for this shared-reservation |
| `resource.shareSettings.projectMap[]` | `map (key: string, value: object)` A map of project id and project config. This is only valid when shareType's value is SPECIFIC_PROJECTS. |
| `resource.shareSettings.projectMap[].projectId` | `string` The project ID, should be same as the key of this project config in the parent map. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.reservationSlots.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).